Bug 117950 - net-mgmt/nsca - Incorrect installation location of the nsca.cfg-sample
Summary: net-mgmt/nsca - Incorrect installation location of the nsca.cfg-sample
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-09 23:20 UTC by Chris Haulmark
Modified: 2007-12-25 19:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Haulmark 2007-11-09 23:20:01 UTC
Doing the make install in /usr/ports/net-mgmt/nsca and the file, nsca.cfg-sample, is installed to /usr/local/etc directory.  I copied it over to nsca.cfg in /usr/local/etc/nagios.cfg and edited it properly.  Looked in the rc.d startup script for proper line to add to rc.conf.  Noticed the path is pointed to /usr/local/etc/nagios/nsca.cfg.

I think that the sample file should be installed into /usr/local/etc/nagios.

There could be a valid reason not to do that if nagios directory does not exist due to no install of nagios.

It took me about 10 mins to find the nsca.cfg-sample after I did make install clean.  I did not have access to my large buffer to notice the results of make install clean to know exactly where it was installed.

Instead I created the nsca.cfg from scratch and stumbled onto this nsca.cfg-sample by accident while looking in /usr/local/etc/ directory.

How-To-Repeat: cd /usr/ports/net-mgmt/nsca
make install
ls /usr/local/etc/ | grep nsca
Comment 1 Edwin Groothuis freebsd_committer 2007-11-10 00:52:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2007-12-25 19:38:45 UTC
mm          2007-12-25 19:38:41 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nsca        Makefile pkg-plist 
  Added files:
    net-mgmt/nsca/files  pkg-message.client.in pkg-message.in 
  Log:
  - Change install location of default configuration files
  - Add pkg-message information for client and server installs
  - Bump PORTREVISION
  
  PR:     ports/117950
  
  Revision  Changes    Path
  1.15      +18 -2     ports/net-mgmt/nsca/Makefile
  1.1       +9 -0      ports/net-mgmt/nsca/files/pkg-message.client.in (new)
  1.1       +9 -0      ports/net-mgmt/nsca/files/pkg-message.in (new)
  1.3       +4 -3      ports/net-mgmt/nsca/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2007-12-25 19:45:34 UTC
State Changed
From-To: open->closed

Commited, with changes. Thanks!